2018-06-20 12:24 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000014FSSCPHT&Lpublic2012-03-13 02:47
Reporterdiamondgeezer 
Assigned ToSwifty 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.14 
Summary0000014: HTL Thruster/hull intersection due to htl transition
Descriptionhttp://nodewar.penguinbomb.com/saab/images/bad.JPG
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000058

RandomTiger (developer)

Theres not much we can do about this sadly, its a surprisingly complex issue.
To avoid this the poly would have to be clipped against the shape of the ship!
Best not make thruster glows too big for now.

~0000175

Goober5000 (administrator)

Mmph. Should this be closed then?

~0000184

RandomTiger (developer)

No leave it in, its just not easy to fix thats all :)

~0000234

Bobboau (developer)

this may need volumetrics to render them corectly

~0000360

Lightspeed (reporter)

Last edited: 2004-03-07 08:00

Basically you will need to check if the thruster point is in the FOV, and if it is it will be rendered on top of everything else.

You know - like those subsystems: If you face them theyre with a box.

edited on: 03-07-04 08:00

~0000385

Bobboau (developer)

that wouldn't work, then it would be flicering in and out of view, and would never look right

~0000389

Lightspeed (reporter)

It would look right. When it's not in plain sight (diamond in targetting) it's rendered as it currently is. When it's in plain sight (square in targetting) its rendered on top of everything - this will look right as it actually is a very bright blinding glow. No idea how it should be flickering then?

~0003774

WMCoolmon (developer)

I hate this bug, does anyone have some kind of implementation plan to get rid of it?

~0005517

taylor (administrator)

Changing category to HT&L and un-assigning from Bobboau since he's not likely to ever fix this.

~0013416

Swifty (developer)

Fixed as of Rev 7496.
+Notes

-Issue History
Date Modified Username Field Change
2003-12-20 17:29 diamondgeezer New Issue
2004-01-18 11:18 RandomTiger Note Added: 0000058
2004-02-11 01:40 Goober5000 Note Added: 0000175
2004-02-11 10:40 RandomTiger Note Added: 0000184
2004-02-22 19:31 Bobboau Note Added: 0000234
2004-03-07 08:00 Lightspeed Note Added: 0000360
2004-03-07 08:00 Lightspeed Note Edited: 0000360
2004-03-07 15:10 Bobboau Note Added: 0000385
2004-03-08 11:48 Lightspeed Note Added: 0000389
2004-03-31 17:52 RandomTiger Status new => acknowledged
2004-03-31 17:52 RandomTiger Summary Thruster/hull dodgyness => HTL Thruster/hull intersection due to htl transition
2005-03-14 08:38 administrator Assigned To => Bobboau
2005-11-06 20:01 WMCoolmon Note Added: 0003774
2006-05-13 16:44 taylor Note Added: 0005517
2006-05-13 16:44 taylor Assigned To Bobboau =>
2006-05-13 16:44 taylor Category graphics => HT&L
2006-10-26 23:33 Goober5000 Status acknowledged => confirmed
2012-03-13 02:47 Swifty Assigned To => Swifty
2012-03-13 02:47 Swifty Status confirmed => assigned
2012-03-13 02:47 Swifty Note Added: 0013416
2012-03-13 02:47 Swifty Status assigned => resolved
2012-03-13 02:47 Swifty Fixed in Version => 3.6.14
2012-03-13 02:47 Swifty Resolution open => fixed
+Issue History